class BonusShield extends Bonus {
    constructor(name, texture, value, time, color) {
        super(name, texture, value);
        this.time = time;
        this.color = color;
    }

    useOn(robot, scene) {
        let oldColor = robot.shield.color;
        robot.shield.increaseValueMax(this.value, this.color);
        scene.time.addEvent({
            delay: this.time,
            callback: () => robot.shield.decreaseValueMax(this.value, oldColor)
        });
    }
}